org.codehaus.groovy.control

## Interface ParserPlugin

All Known Implementing Classes:
  AntlrParserPlugin

    public interface ParserPlugin

A simple extension point to allow us to switch between the classic Groovy parser and the new Antlr based parser

Version:
  $Revision: 7922 $

### Method Summary

Methods
`ModuleNode` `buildAST(SourceUnit sourceUnit, ClassLoader classLoader, Reduction cst)`
`Reduction` `parseCST(SourceUnit sourceUnit, Reader reader)`

### Method Detail

#### parseCST

    Reduction parseCST(SourceUnit sourceUnit,
                     Reader reader)
                       throws CompilationFailedException

Throws:
  `CompilationFailedException`

#### buildAST

    ModuleNode buildAST(SourceUnit sourceUnit,
                      ClassLoader classLoader,
                      Reduction cst)
                        throws ParserException

Throws:
  `ParserException`